# Function standardLayoutRowVisitor

- standardLayoutRowVisitor(
  viewname: any,
  state: any,
  table: any,
  row: any,
  req: any,
  ): {
  action(segment: any): void;
  blank(segment: any): void;
  card(segment: any): void;
  container(segment: any): void;
  image(segment: any): void;
  link(segment: any): void;
  tabs(segment: any): void;
  view_link(segment: any): void;
  }

  #### Parameters

  - viewname: any
  - state: any
  - table: any
  - row: any
  - req: any

  #### Returns {
  action(segment: any): void;
  blank(segment: any): void;
  card(segment: any): void;
  container(segment: any): void;
  image(segment: any): void;
  link(segment: any): void;
  tabs(segment: any): void;
  view_link(segment: any): void;
  }

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:1508